<form [formGroup]="contactForm" (ngSubmit)="newContact()">
  <h4>Add new contact</h4>

  <div class="input-group my-3">
    <div class="input-group-prepend">
      <span class="input-group-text" id="basic-addon1">Name:</span>
    </div>
    <input type="text" class="form-control" formControlName="name">
  </div>
  <div class="text-danger" *ngIf="formGroup.name.invalid && formGroup.name.touched">Name is required!</div>


  <div class="input-group my-3">
    <div class="input-group-prepend">
      <span class="input-group-text" id="basic-addon1" >Number:</span>
    </div>
    <input class="form-control" formControlName="number">
    
  </div>
  <div class="text-danger" *ngIf="formGroup.number.errors?.required  && formGroup.number.touched">Number is required!</div>
  <div class="text-danger" *ngIf="formGroup.number.errors?.pattern  && formGroup.number.touched">Please enter only digits</div>
  <div class="text-danger" *ngIf="formGroup.number.errors?.minlength  && formGroup.number.touched">Number must be at least 3 digits</div>
  <div class="text-danger" *ngIf="formGroup.number.errors?.maxlength  && formGroup.number.touched">Number must not exceed 11 digits</div>

  <button type="submit" class="btn btn-primary mt-3">Save</button>

</form>
